import 'package:flutter/material.dart';
import 'dart:async';
import 'package:flutter_tapjoy/flutter_tapjoy.dart';

void main() async {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  Future<void> initTapjoy() async {
    Tapjoy.instance.setDebugEnabled(isDebug: true);
    Tapjoy.instance.setUserConsent(consent: 'consent');
    Tapjoy.instance.connect(apiToken: 'api_token');
    Tapjoy.instance.setOnTapjoyConnectSuccessListener(tapjoySuccess);
    Tapjoy.instance.setonPlacementRequestFailureListener(tapjoyError);
    Tapjoy.instance.setonRewardRequestListener(tapjoyReward);
    Tapjoy.instance.setonContentReadyListener(tapjoyisReady);
  }

  void tapjoySuccess() {
    Tapjoy.instance.getPlacement(placementName: 'placementName');
    print('tapjoy success');
  }

  void tapjoyError(String error) {
    print('Tapjoy Placement ERROR: $error');
  }

  void tapjoyReward(int quantity) {
    print('Tapjoy SDK $quantity');
  }

  void tapjoyisReady() {
    Tapjoy.instance.showContent();
    print('Tapjoy SDK Ready');
  }

  @override
  void initState() {
    initTapjoy();
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(
          children: <Widget>[
            RaisedButton(
              child: Text('is Content Available'),
              onPressed: () async {
                Tapjoy.instance.requestContent();
              },
            ),
          ],
        ),
      ),
    );
  }
}
